> For the complete documentation index, see [llms.txt](https://docs.world-creator.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.world-creator.com/reference/options/generator.md).

# Generator

## Overview

The Generator settings affect various aspects of World Creator in the generation process, like filter previews, the real-time generator or different preview modes for masked areas.

## Parameters

<table><thead><tr><th width="179.699951171875">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Realtime Generator</strong></td><td>Activates/deactivates World Creator's real-time generator. A button with the same functionality can be found in the toolbar to the right of the viewport. When disabled a <strong>Generate</strong> button appears at the bottom of the main panel.</td></tr><tr><td><strong>Filter Live Preview</strong></td><td>Enables or disables live preview of filters. When activated, filters provide a preview of the terrain when hovered over in the add filter menu. The same button is accessible in the toolbar on the right-hand side of the viewport.</td></tr><tr><td><strong>Gen Full Res in Background</strong></td><td>World Creator typically only generates the terrain it can show in the viewport. If this is enabled and the requested terrain is larger than the terrain it can display the requested terrain will still be generated in the background.</td></tr><tr><td><strong>Show Intermediate Results</strong></td><td>When activated, World Creator displays intermediate results while the terrain is generated. This feature is particularly useful for more complex terrains that employ many filters/materials and require longer computation time. </td></tr><tr><td><strong>Wait for Base Shapes</strong></td><td>Waits for the computation of Base Shapes in the intermediate results.</td></tr><tr><td><strong>Use Generator Start Delay</strong></td><td>Delays the start of the generator, which can be helpful on heavier scenes as it creates prevents World Creator from directly recomputing the terrain after changing a value.</td></tr><tr><td><strong>Performance Scale</strong></td><td>Controls how much work the GPU does before a new frame is rendered and the UI is updated. A higher value speeds generation but can make the UI feel more choppy.</td></tr><tr><td><strong>High VRAM Mode</strong></td><td>Switches the maximum preview size in the viewport from 4k to 8k. </td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.world-creator.com/reference/options/generator.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
